获取对象所属的文档(绘图)。 支持的平台:仅窗口 签名工 务 局: object.Document 言论没有额外的评论。 例子工 务 局: Sub Example_Document() ' This example creates a circle in model space and then ' finds the name of the document that the circle resides in. Dim circleObj As AcadCircle Dim centerPoint(0 To 2) As Double Dim radius As Double ' Define the circle centerPoint(0) = 0#: centerPoint(1) = 0#: centerPoint(2) = 0# radius = 5# ' Create the Circle object in model space Set circleObj = ThisDrawing.ModelSpace.AddCircle(centerPoint, radius) ZoomAll ' Find the document name for the circle Dim currDoc As AcadDocument Set currDoc = circleObj.Document MsgBox "The circle resides in: " & currDoc.name End Sub Visual LISP: (vl-load-com) (defun c:Example_Document() ;; This example creates a circle in model space and then ;; finds the name of the document that the circle resides in. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the circle (setq centerPoint (vlax-3d-point 0 0 0) radius 5) ;; Create the Circle object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq circleObj (vla-AddCircle modelSpace centerPoint radius)) (vla-ZoomAll acadObj) ;; Find the document name for the circle (setq currDoc (vla-get-Document circleObj)) (alert (strcat "The circle resides in: " (vla-get-Name currDoc))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:25
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.